<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:18 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IElement (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IElement (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/Element/Ground.html" title="class in model.Element"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/Element/Living.html" title="class in model.Element"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/IElement.html" target="_top">Frames</a></li>
<li><a href="IElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model.Element</div>
<h2 title="Interface IElement" class="title">Interface IElement</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../model/Element/Diamond.html" title="class in model.Element">Diamond</a>, <a href="../../model/Element/Element.html" title="class in model.Element">Element</a>, <a href="../../model/Element/Empty.html" title="class in model.Element">Empty</a>, <a href="../../model/Element/Enemy.html" title="class in model.Element">Enemy</a>, <a href="../../model/Element/Exit.html" title="class in model.Element">Exit</a>, <a href="../../model/Element/Ground.html" title="class in model.Element">Ground</a>, <a href="../../model/Element/Living.html" title="class in model.Element">Living</a>, <a href="../../model/Element/Motion.html" title="class in model.Element">Motion</a>, <a href="../../model/Element/Player.html" title="class in model.Element">Player</a>, <a href="../../model/Element/Rock.html" title="class in model.Element">Rock</a>, <a href="../../model/Element/Wall.html" title="class in model.Element">Wall</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IElement</span></pre>
<div class="block">The Interface IElement.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#getSprite--">getSprite</a></span>()</code>
<div class="block">Gets the sprite.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSprite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSprite</h4>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSprite()</pre>
<div class="block">Gets the sprite.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sprite</dd>
</dl>
</li>
</ul>
<a name="destruction-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>destruction</h4>
<pre>void&nbsp;destruction(int&nbsp;x,
                 int&nbsp;y,
                 <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Destruction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="walkOver-int-int-char-model.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>walkOver</h4>
<pre>void&nbsp;walkOver(int&nbsp;x,
              int&nbsp;y,
              char&nbsp;direction,
              <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Walk over.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>direction</code> - the direction</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="move-int-int-int-model.Map-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>move</h4>
<pre>void&nbsp;move(int&nbsp;x,
          int&nbsp;y,
          int&nbsp;direction,
          <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</pre>
<div class="block">Move.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dd><code>direction</code> - the direction</dd>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/Element/Ground.html" title="class in model.Element"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/Element/Living.html" title="class in model.Element"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/IElement.html" target="_top">Frames</a></li>
<li><a href="IElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
